<div class="test-ticket">
    <!-- URL pattern for Jira -->
    <a name="bugTicket"
        ng-href="{{ ($ctrl.jiraIntegration.url + '/browse/' + $ctrl.issueReference.value) }}"
        href="#"
        target="_blank"
        ng-if="$ctrl.jiraIntegration.url && ($ctrl.jiraIntegration.url.includes('atlassian') || $ctrl.jiraIntegration.url.includes('jira'))"
        class="test-ticket__item badge _bug"
        alt="{{$ctrl.issueReference.description}}"
        title="{{$ctrl.issueReference.description}}">{{ $ctrl.issueReference.value }}</a>

    <!-- URL pattern for pseudo GitHub integration -->
    <a name="bugTicket"
        ng-href="{{ ($ctrl.jiraIntegration.url + '/' + $ctrl.issueReference.value) }}"
        href="#"
        target="_blank"
        ng-if="$ctrl.jiraIntegration.url && !$ctrl.jiraIntegration.url.includes('atlassian') && !$ctrl.jiraIntegration.url.includes('jira')"
        class="vbadge _bug"
        alt="{{$ctrl.issueReference.description}}"
        title="{{$ctrl.issueReference.description}}">{{ $ctrl.issueReference.value }}</a>

    <!-- w/o URL -->
    <span name="bugTicket"
        ng-if="!$ctrl.jiraIntegration.url"
        class="test-ticket__item badge _bug"
        alt="{{$ctrl.issueReference.description}}"
        title="{{$ctrl.issueReference.description}}">{{ $ctrl.issueReference.value }}</span>
</div>
